V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
Get Google Chrome
Vimium · 在 Chrome 里使用 vim 快捷键
NIIIIIIIIIICE
V2EX  ›  Chrome

Chrome 将在明天推行均有争议的 Manifest V3 了 大量 Manifest V2 扩展将被禁用

  •  2
     
  •   NIIIIIIIIIICE · 51 天前 · 11936 次点击
    这是一个创建于 51 天前的主题,其中的信息可能已经有所发展或是发生改变。

    最早从 2024 年 6 月的 Chrome 127 开始,我们将开始停用 Chrome 的不稳定版本(开发者版、Canary 版和 Beta 版)中的 Manifest V2 扩展程序。受此变化影响的用户会在浏览器中看到 Manifest V2 扩展程序自动停用,并且无法再从 Chrome 应用商店安装 Manifest V2 扩展程序。此外,Manifest V2 扩展程序在 Chrome 应用商店中将不再拥有“精选”徽章(如果目前已有该徽章)。

    原文: https://developer.chrome.com/blog/resuming-the-transition-to-mv3?hl=zh-cn

    检查了我工作生活会用到那些浏览器扩展,大部分都是 manifest V2 ,尤其是国内的😓看来又快要度过一个混乱时期了,已经禁止 Chrome 自动更新,看看情况再说。

    106 条回复    2024-07-04 19:46:23 +08:00
    1  2  
    yuzo555
        1
    yuzo555  
       51 天前   ❤️ 6
    可以在:
    chrome://extensions-internals/
    中查看已安装扩展的 manifest_version
    kebamt
        2
    kebamt  
       51 天前   ❤️ 1
    支持 V3 ,老古董插件必须得与时俱进。
    此外 V2 插件权限太大了,不安全
    renmu
        3
    renmu  
       51 天前 via Android
    已经全部迁移到 firefox
    cssk
        4
    cssk  
       51 天前 via iPhone
    safari 用户表示完全没有影响
    mercury233
        5
    mercury233  
       51 天前
    已经停在 122 版本了
    noqwerty
        6
    noqwerty  
       51 天前 via iPhone   ❤️ 2
    因为这个前段时间换了 Firefox ,无法接受没有 ublock origin 的互联网
    NIIIIIIIIIICE
        7
    NIIIIIIIIIICE  
    OP
       51 天前
    @kebamt 确实,我也支持 V3 ,但工作上需要用到的插件还是 V2 ,只能等适配再更新了。
    phrack
        8
    phrack  
       51 天前 via iPhone
    准备换 Firefox 了,没有 ubo 怎么上网
    weijancc
        9
    weijancc  
       51 天前   ❤️ 11
    @kebamt V3 本身就有缺陷, 广告拦截和油猴所依赖的 API 都是 V3 不支持的,我倒想知道你有没有用这两个扩展
    yyzh
        10
    yyzh  
       51 天前 via Android
    @weijancc 我也挺诧异他会不用 SwitchyOmega 这种代理插件的么
    miaomiao888
        11
    miaomiao888  
       51 天前
    强推神烦,UBO V3 版本简陋到根本不想用。
    一家独大的代价。
    weijancc
        12
    weijancc  
       51 天前
    @yyzh 我没用 SwitchyOmega, 不过这个扩展使用的代理 API 在 V3 中是支持的
    renmu
        13
    renmu  
       51 天前 via Android
    @noqwerty firefox 怎么会没有 ublock origin 呢
    NIIIIIIIIIICE
        14
    NIIIIIIIIIICE  
    OP
       51 天前
    @yyzh 我只在差不多十年前用 GAE 做代理那会用过这个插件分流,现在流量分流的选择那么多为啥还要用?
    explorerproxy
        15
    explorerproxy  
       51 天前
    看了下,自己有一半的都是 3 以下的
    frankyzf
        16
    frankyzf  
       51 天前
    @NIIIIIIIIIICE 一直用这个插件进行分流,有什么好用的分流插件可以推荐吗?
    ky1e
        17
    ky1e  
       51 天前   ❤️ 2
    这就是一家独大的恶果。换浏览器吧。
    Creamliu
        18
    Creamliu  
       51 天前   ❤️ 4
    @frankyzf #16 ZeroOmega ,fork 自 SwitchyOmega
    0312birdzhang
        19
    0312birdzhang  
       51 天前
    难甭,Chrome 自带的 PDF Viewer 还是 v2
    phrack
        20
    phrack  
       51 天前 via iPhone
    刚好周末,有点空闲时间,换好 Firefox 了,拜拜了 Chrome 。

    不过我估计 Firefox 也坚持不了多久,浏览器已经急需一个真正的竞争势力了。个人认为这个新势力不应该再在各种特性上企图跟上各大组织设定的不是浏览器根本功能的 specification 了,只维护最基本的浏览网页功能
    yianing
        21
    yianing  
       51 天前 via Android
    稳定版的明年才会禁用,等等看吧
    NIIIIIIIIIICE
        22
    NIIIIIIIIIICE  
    OP
       51 天前
    @ky1e 使用 Chromium 内核的都逃不过,Brave 社区那边说目前没有哪家浏览器明确表示在 Chromium 移除 V2 API 后会继续维护支持使用 V2 API 开发的扩展。
    noqwerty
        23
    noqwerty  
       51 天前 via iPhone   ❤️ 1
    @renmu 是我表述不清晰了,因为 manifest V3 从 chrome 换到了 Firefox
    NIIIIIIIIIICE
        24
    NIIIIIIIIIICE  
    OP
       51 天前
    @frankyzf 我是 Mac ,用的 Surge 分流,免费的 clash 不也可以分流,哪怕是软路由插件内置的分流规则也很少出现分流错误。
    busterian
        25
    busterian  
       51 天前 via Android
    开发者模式加载的也不行吗
    Goooooos
        26
    Goooooos  
       51 天前 via Android
    smartproxy 就是 v3 的
    Yadomin
        27
    Yadomin  
       51 天前 via Android
    最困难的还不是恢复 manifest v2 的功能,而是商店上的 v2 扩展被删之后去哪下载和更新,以及扩展的开发者是否愿意给少部分人群维护 manifest v2 的版本。
    boywang004
        28
    boywang004  
       51 天前
    看了下,正经有用的都是 V2 的……完犊子。
    geekzhu
        29
    geekzhu  
       51 天前
    没想到我安装了这么多 V2 的
    XiLingHost
        30
    XiLingHost  
       51 天前
    无所谓,早就换成 Firefox 了
    zbowen66
        31
    zbowen66  
       51 天前
    无所谓,我的大部分配置都是跨平台的,随时切换
    NIIIIIIIIIICE
        32
    NIIIIIIIIIICE  
    OP
       51 天前   ❤️ 1
    @Yadomin 目前可以通过 https://crxdl.com 获取 crx ,关键是之后 chromium 移除 V2 API 后没有浏览器明确表示会接盘继续维护 V2 API 。大家都不再兼容 v2 扩展的时候扩展开发者想维护也没地发挥了。
    NIIIIIIIIIICE
        33
    NIIIIIIIIIICE  
    OP
       51 天前
    @boywang004 大部分还在维护的插件应该都会升级 v3 ,就看或早或晚了,但国内商业性质的扩展几乎全都是 V2 ,我都无语了。
    the1812
        34
    the1812  
       51 天前
    看了下自己的, 16 个扩展有 11 个 v2 的, 难顶
    luistrong
        35
    luistrong  
       51 天前
    所以 mac 下到底如何禁止自动更新?

    试了网上的所有方法还是不行 包括下面这种
    "cd /Library/Google/
    sudo chown nobody:nogroup GoogleSoftwareUpdate
    sudo chmod 000 GoogleSoftwareUpdate

    cd ~/Library/Google/
    sudo chown nobody:nogroup GoogleSoftwareUpdate
    sudo chmod 000 GoogleSoftwareUpdate
    3. Then do the same for the folder Google one level up.
    cd /Library/
    sudo chown nobody:nogroup Google
    sudo chmod 000 Google

    cd ~/Library/
    sudo chown nobody:nogroup Google
    sudo chmod 000 Google"
    coldle
        36
    coldle  
       51 天前
    草,今天才看到这个消息。。。看了下有一半都是 v2 ,还都是比较重要的,再度润 ff 了
    NIIIIIIIIIICE
        37
    NIIIIIIIIIICE  
    OP
       51 天前   ❤️ 2
    @luistrong 改权限麻烦,没用 Surge 之类的话,直接编辑 Host 文件,把 update.googleapis.com 指向 127.0.0.1 就行。
    luistrong
        38
    luistrong  
       51 天前
    @NIIIIIIIIIICE #37 这个规则之前放了很久, 但还是会自动更新
    NIIIIIIIIIICE
        39
    NIIIIIIIIIICE  
    OP
       51 天前
    @luistrong 我今天才加上,正常屏蔽了。如果你有用代理工具的话可能在远端 DNS 上解析了,就需要在代理软件里添加规则把这个地址指向 Reject 。
    18k
        40
    18k  
       51 天前
    正式版还是 125 ,等到 127 的时候 插件也会更新吧。。。
    Autonomous
        41
    Autonomous  
       51 天前
    看了下我的全部都是 v2 插件,不过不慌,会倒逼厂商更新的,在此之前用 Safari 即可。
    Reappear8835
        42
    Reappear8835  
       51 天前
    @yianing 想问下是在哪看到的稳定版明年禁用啊,我从楼主发的链接里看到的是最快预计一个多月就会推送到稳定版?“We will begin disabling Manifest V2 extensions in pre-stable versions of Chrome as early as June 2024, in Chrome 127 and later. We expect it will take at least a month to observe and stabilize the changes in pre-stable before expanding the rollout to stable channel Chrome, where it will also gradually roll out over time.” 那个 2025 年的好像说的企业版内部的插件
    DOLLOR
        43
    DOLLOR  
       51 天前
    我自己装的插件全是 mv3 的,
    倒是 chrome 自带的插件(比如 Chrome PDF Viewer 、Google Network Speech 、Google Hangouts 这些)还是 mv2 。
    MajestySolor
        44
    MajestySolor  
       51 天前
    微软 edge 自己预装的扩展全是 v2🤣
    mimizi
        45
    mimizi  
       51 天前
    可以用防火墙 app 屏蔽
    qiaofanxing
        46
    qiaofanxing  
       51 天前 via Android
    @weijancc 过渡期可以用 adguard 撑一下,看看下一步怎么办吧
    weijancc
        47
    weijancc  
       51 天前
    @qiaofanxing 我已经习惯用 edge 了, edge 目前关于启用 v2 扩展的时间还是待定, 问题不大.
    Features
        48
    Features  
       50 天前
    本地自己做的开发版也受此限制吗?
    8e47e42
        50
    8e47e42  
       50 天前
    @kebamt 哥们你没事吧?难道真的不用 ublock/各类 js/各类隐私插件吗?
    wm5d8b
        51
    wm5d8b  
       50 天前 via Android   ❤️ 1
    利好 ff ,Firefox 可以重振高光了
    noqwerty
        52
    noqwerty  
       50 天前 via iPhone
    @shonnliberty 可以看看这里的讨论,ublock origin lite 在功能上比 ublock origin 差了很多,并不能平滑取代 https://news.ycombinator.com/item?id=40532365
    crackidz
        53
    crackidz  
       50 天前
    Google 作恶的又一例证...
    yazinnnn0
        54
    yazinnnn0  
       50 天前
    别的倒无所谓, SwitchyOmega 是真的不可或缺的.... 换了新 api 之后有啥代替者吗
    wu67
        55
    wu67  
       50 天前
    @yazinnnn0 用代理工具自带的分流就行了, 除非你要频繁在网页上对当前网页切换是否使用代理
    shonnliberty
        56
    shonnliberty  
       50 天前   ❤️ 1
    @noqwerty 这个也没办法 Google 非要推 Manifest V3 ,ublock origin lite 功能上是差了一些,但拦截广告我用下来觉得基本没啥问题都能够很好的拦截。
    e2k
        58
    e2k  
       50 天前   ❤️ 1
    benedict00
        59
    benedict00  
       50 天前
    Brave 内置广告拦截器就很强了,影响不大
    yazinnnn0
        60
    yazinnnn0  
       50 天前
    @benedict00 #57
    @e2k

    感谢
    qzhai
        61
    qzhai  
       50 天前
    我也写了个插件 https://jvmao.net/ 是 v3 的
    但是国内 基本上除了 360 其他的浏览器都还没好好支持 v3 呢~
    Zaden
        62
    Zaden  
       50 天前
    ff 在浏览器统计里都快被算成 other 了,希望趁着这一波多点用户
    davin
        63
    davin  
       50 天前
    谷歌自己还有 1.0 版本的,这是要革自己的命么😄
    Sosocould
        64
    Sosocould  
       50 天前
    还有几个月才到正式版呢,淡定,先苟
    hanqian
        65
    hanqian  
       50 天前 via iPhone
    油猴这个影响确实大,但兼容 V3 的广告屏蔽插件早就有了( ublock origin lite 和 AdGuard AdBlocker MV3 Experimental ),用下来没什么区别,大可放心
    mcfog
        66
    mcfog  
       50 天前
    复制 chrome://extensions-internals/ 全文

    使用粘贴和 jq 组合筛选并输出扩展名字( osx )

    pbpaste | jq '.[]|select(.manifest_version == 2)|.name'
    u3u
        67
    u3u  
       50 天前
    如果火狐的响应式调试器可以像谷歌一样自适应缩放 立马就换
    SonyIsGuilly
        68
    SonyIsGuilly  
       50 天前
    v3 版本屏蔽链接的 api 又臭又恶心,实在不愿意搞
    EndlessMemory
        69
    EndlessMemory  
       50 天前
    Edge 没影响就行
    hellodigua
        70
    hellodigua  
       50 天前
    我一看蚌埠住了,chrome 官方的插件有的都用的 v2
    hanqian
        71
    hanqian  
       50 天前
    又看了一下 Tampermonkey 已经兼容 V3 的最新版本,试了几个油猴脚本也没啥影响。作为普通用户表示安心了
    NIIIIIIIIIICE
        72
    NIIIIIIIIIICE  
    OP
       50 天前   ❤️ 1
    @EndlessMemory 怎么会没影响,这项改动是 Chromium 推进的,Edge 只要升级到 127 及以上 Chromium 核心就同样不支持了。目前没有哪家浏览器断言会在 Chromium 移除 V2 API 后会继续提供支持,估计都在观望 Google 这次能不能落实下去,毕竟这玩意从提出到现在已经争议了六七年了。
    body007
        73
    body007  
       50 天前
    我先锁 chrome 版本,明年再看看。就是不知道这样搞,chrome 应用商店上的 v2 扩展在 chrome 127 之前的浏览器上是否保持原样。还是说后面应用商店都搜不到那些 v2 扩展了,那样就蛋疼了😨
    vipfts
        74
    vipfts  
       50 天前
    你问我支持不支持, 我当然是支持的啦
    pcitme
        75
    pcitme  
       50 天前   ❤️ 1
    百分浏览器最近更新了大版本,就在 118 内核养老了,毫无压力
    n18255447846
        76
    n18255447846  
       50 天前
    要么妥协,google 继续独大,要么分叉
    maladaxia
        77
    maladaxia  
       50 天前
    @18k 哪个版本会强制更新 v3? 我现在 125, 禁用升级还来得及吗
    maladaxia
        78
    maladaxia  
       50 天前
    google 作恶
    NIIIIIIIIIICE
        79
    NIIIIIIIIIICE  
    OP
       50 天前
    @benedict00 #59 Brave 它这个自带的网页翻译功能,速度好慢,常常点击翻译后需要等几秒才翻译,和 Chrome 相差太大,我看了下 Brave 的翻译功能是他们自己做的。
    maladaxia
        80
    maladaxia  
       50 天前
    感谢 现在留守 v125 了
    enchilada2020
        81
    enchilada2020  
       50 天前 via Android
    那些说停在某某版本养老的莫不是在搞笑…你能停几年?
    JssDream
        82
    JssDream  
       50 天前
    刚刚发现已经有个鼠标手势插件 smartUp Gestures 被禁用了已经
    csl123
        83
    csl123  
       50 天前
    刚看了下,我用的 10 个插件里面有 7 个都是 v2 的,感觉要寄了
    luistrong
        84
    luistrong  
       50 天前
    @enchilada2020 #81 不考虑安全性漏洞问题, 意思是过几年老版本的 chrome 会有适配性问题? (比如网页显示)
    enchilada2020
        85
    enchilada2020  
       50 天前 via Android
    @luistrong 很有可能
    codingKingKong
        86
    codingKingKong  
       50 天前
    v1-1
    v2-11
    v3-9
    wonderfulcxm
        87
    wonderfulcxm  
       50 天前 via iPhone
    你问我支持不支持, 我当然是不支持的啦。Chrome 时不时加点所谓的新特性恶心人,早就禁止自动更新了。
    hanmiao
        88
    hanmiao  
       50 天前
    "manifest_version": 1,
    "name": "搴旂敤鍟嗗簵",
    ety001
        89
    ety001  
       50 天前
    不靠卖插件吃饭,所以在某次 google 把我的插件下架后就不再更新了。
    elevioux
        90
    elevioux  
       50 天前
    edge 有影响吗?
    NjcyNzMzNDQ3
        91
    NjcyNzMzNDQ3  
       50 天前
    凡是强制的都是耍流氓,不能自己选择要不要,还有强制更新,都跟微软学的吗
    hafuhafu
        92
    hafuhafu  
       50 天前
    用 filter 过滤了一下 v2 的,有 12 个。
    也不知道后续升级完还有几个能用的,估计一些插件同步维护到 v3 也够呛。
    knightdf
        93
    knightdf  
       50 天前
    "manifest_version": 2,
    "name": "Google Translate",

    他自己的插件都没更新
    abcdxe2v
        94
    abcdxe2v  
       50 天前
    扩展会“自动”更新,导致某些更新为新 api 的扩展不能用。我就已经碰到了一个扩展的部分功能使用新 api 导致出错
    NIIIIIIIIIICE
        95
    NIIIIIIIIIICE  
    OP
       50 天前
    @abcdxe2v 你的意思是如果禁止 Chrome 更新,一些自动更新适配 V3 的扩展在老版本浏览器中无法用?不会吧,从 Chrome 从 88 版本就支持 V3 扩展了,能不能举例一个不能用的 V3 扩展我试试
    yaosj2k
        96
    yaosj2k  
       50 天前
    @csl123 是的也刚发现 smartup 被和谐了,Chrome store 也 404 了
    Stan30
        97
    Stan30  
       50 天前
    @JssDream 它是 v3 的,好像与这个无关。提示包含恶意软件,store 里也没有了
    wtdd
        99
    wtdd  
       49 天前
    说明里没提正式版会如何,只是说 beta 等 127 开始
    houshuu
        100
    houshuu  
       49 天前 via iPhone
    adguard 可以替代 ublock 和油猴
    1  2  
    关于   ·   帮助文档   ·   博客   ·   API   ·   FAQ   ·   实用小工具   ·   1493 人在线   最高记录 6679   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 27ms · UTC 17:12 · PVG 01:12 · LAX 10:12 · JFK 13:12
    Developed with CodeLauncher
    ♥ Do have faith in what you're doing.